com.pivotal.gemfirexd.internal.client.net

## Interface ResultSetRequestInterface

All Known Implementing Classes:
  NetResultSetRequest, NetXAConnectionRequest

    public interface ResultSetRequestInterface

### Method Summary

Methods
`void` `writeCursorClose(NetResultSet resultSet, Section section)`
`void` `writeFetch(NetResultSet resultSet, Section section, int fetchSize)`
`void` `writePositioningFetch(NetResultSet resultSet, Section section, int orientation, long rowToFetch)`
`void` `writeScrollableFetch(NetResultSet resultSet, Section section, int fetchSize, int orientation, long rowToFetch, boolean resetQueryBlocks)`

### Method Detail

#### writeFetch

    void writeFetch(NetResultSet resultSet,
                  Section section,
                  int fetchSize)
                    throws SqlException

Throws:
  `SqlException`

#### writeScrollableFetch

    void writeScrollableFetch(NetResultSet resultSet,
                            Section section,
                            int fetchSize,
                            int orientation,
                            long rowToFetch,
                            boolean resetQueryBlocks)
                              throws SqlException

Throws:
  `SqlException`

#### writePositioningFetch

    void writePositioningFetch(NetResultSet resultSet,
                             Section section,
                             int orientation,
                             long rowToFetch)
                               throws SqlException

Throws:
  `SqlException`

#### writeCursorClose

    void writeCursorClose(NetResultSet resultSet,
                        Section section)
                          throws SqlException

Throws:
  `SqlException`